= form_for @farmer do |f|
  - if @farmer.errors.any?
    #error_explanation
      %h2= "#{pluralize(@farmer.errors.count, "error")} prohibited this farmer from being saved:"
      %ul
        - @farmer.errors.full_messages.each do |msg|
          %li= msg

  .field
    = f.label :name
    = f.text_field :name
  .field
    = f.label :village_id
    = f.number_field :village_id
  .field
    = f.label :hamlet
    = f.text_field :hamlet
  .field
    = f.label :caste_id
    = f.number_field :caste_id
  .field
    = f.label :aadhar
    = f.text_field :aadhar
  .field
    = f.label :father_name
    = f.text_field :father_name
  .field
    = f.label :phone
    = f.text_field :phone
  .field
    = f.label :smu_id
    = f.number_field :smu_id
  .field
    = f.label :topography_id
    = f.number_field :topography_id
  .actions
    = f.submit 'Save'
